Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.controls
Class JetNumber

    java.lang.Object
      jet.controls.JetProperty
          jet.controls.JetNumber

All Implemented Interfaces:
  jet.controls.Integerable, jet.convert.NumberInfo, jet.convert.PropInfo, jet.util.Propertiable

Direct Known Subclasses:
  JetUnitNumber

    public class JetNumber

extends JetProperty
implements jet.controls.Integerable, jet.convert.NumberInfo

JetNumber, for saving/retrieving a Number(integer, float, double, long) value.

Field Summary

Fields inherited from class jet.controls.JetProperty
`CHART_BACKGROUND_EDITOR, CHART_FILLPATTERN_EDITOR, CHART_FILTER_EDITOR, CHART_FILTER_EDITOR_NO_DATE, CHART_ICON_STYLE, CHART_PATTERN_LIST_EDITOR, CHART_PENSTYLE_EDITOR, CHART_TEXTSTYLE_EDITOR, CHOICE_EDITOR, COLOR_EDITOR, COMBO_EDITOR, COMMAND_EDITOR, CONTROL_SELECT_ITEMS, DATASOURCE_EDITOR, DBCOL_EDITOR, DETAIL_REPORT_EDITOR, EDIT_FORBIDDEN, EDIT_FORBIDDEN_INIT, EDITABLE_ALLTIME, INTERNAL, LINK_EDITOR, MULSEL_EDITOR, PARAMCOL_EDITOR, QUERY_EDITOR, RECORDDB_EDITOR, SECURITY_EDITOR, TEXT_EDITOR`

Fields inherited from interface jet.util.Propertiable
`BIGSTRING, BOOLEAN, CHG_FMTTINGBLNAME, CHG_FMTTINGFORMULA, CHG_OTHER, COLOR, COMPFML_RESOURCE, CUSTOMER, CUSTOMERLINK, DELIM, DELIMCHAR, DOUBLE, ENUMERATION, IGNORED, IMAGE, IMGVECTOR, MAPPINGTBL, NORMAL_RESOURCE, NUMBER, REFERENCE, STRING, SUB1_DELIM, UNIT, VAL_NORMALLENGTH, VAL_NORMALSTART, VECTOR`

Constructor Summary
`JetNumber()`
`JetNumber(jet.controls.JetObject parent, java.lang.String name)` Create a JetNumber instance with default value and normal value are 0.
`JetNumber(jet.controls.JetObject parent, java.lang.String name, int defval)` Create a JetNumber instance with specified value.

Method Summary
`boolean` | `addToAtomicAction(java.lang.String newValue)`
`double` | `doubleValue()` Effective if `JetProperty.isCurrentAutoValue()` is false;according to the following priority return : normal value > default value as double
`float` | `floatValue()` Effective if `JetProperty.isCurrentAutoValue()` is false;according to the following priority return : normal value > default value as float
`int` | `get()` Effective if `JetProperty.isCurrentAutoValue()` is false; according to the following priority return : normal value > default value as integer
`int` | `getInt()` Effective if `JetProperty.isCurrentAutoValue()` is false.
`int[]` | `getMatchingSqlType()` Now, this API only for designer UI : get Matching SQL Type of this property Usage in UI : list all the (normal-)formula whose data-type in returned array
`java.util.Vector` | `getPropertyChoice()` Only For Designer UI
`int` | `intValue()` Effective if `JetProperty.isCurrentAutoValue()` is false;according to the following priority return : normal value > default value as integer
`long` | `longValue()` Effective if `JetProperty.isCurrentAutoValue()` is false;according to the following priority return : normal value > default value as long
`void` | `set(double value)` Sets normal value via double value
`void` | `set(float value)` Sets normal value via float value
`void` | `set(int value)` Sets normal value via specified int value;
`void` | `set(long value)` Sets normal value via long value
`void` | `set(java.lang.String theval)` Sets normal value via a String.
`void` | `setInt(int i)` Sets normal value via specified value;
`void` | `setPropertyChoice(java.util.Vector propertyChoice)` set property choice
`void` | `setValue(int value)` Sets normal value via specified value;
`java.lang.String` | `toString()` Effective if `JetProperty.isCurrentAutoValue()` is false;according to the following priority return : normal value > default value as String

Methods inherited from class jet.controls.JetProperty
`canChangeByBL, canChangeByFmtt, canChangeByOthers, enableAllChangeBys, getChangeBy, getChangeByBL, getChangeByBLName, getChangeByBLType, getChangeByFmtt, getChangeByFmttName, getChangeByObject, getChangeByObjectName, getChangeByOtherType, getCurrentChangedBy, getCurrentValue, getCurrentValue, getEditFlag, getEditorType, getInspValue, getInspValue, getName, getNormalObject, getObject, getParent, getPropType, getRuntimeChangeBy, getUnifiedObject, getValue, isChagneByFmtt, isChangeByBL, isChangeByOther, isCurrentAutoValue, isCurrentChangedBy, isEnableAutoValue, isNull, isSetAnyChangeBy, isSetRuntimeChgBy, isTransient, loadFullChangeBy, propertyChanged, saveFullChangeBy, setAsAutoValue, setCanChangeByBL, setCanChangeByFmtt, setCanChangeByOthers, setChangeByBL, setChangeByBL, setChangeByFmtt, setChangeByObject, setChangeByObject, setEditFlag, setEditorType, setEnableAutoValue, setObject, setRuntimeChangeBy, setTransient, setUnitValue, toUnitString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface jet.convert.PropInfo
`getChangeByObjectName, getInspValue, getName, getValue, isChangeByOther, isNull, toUnitString`

Constructor Detail

### JetNumber

    public JetNumber()

### JetNumber

    public JetNumber(jet.controls.JetObject parent,
                     java.lang.String name)

  Create a JetNumber instance with default value and normal value are 0.

  Parameters:
    `parent` - owner
    `name` - name

### JetNumber

    public JetNumber(jet.controls.JetObject parent,
                     java.lang.String name,
                     int defval)

  Create a JetNumber instance with specified value.

  Parameters:
    `parent` - owner
    `name` - name
    `defval` - the value to be set to default value and normal value

Method Detail

### set

    public void set(int value)

  Sets normal value via specified int value;

  Parameters:
    `value` - a integer value
  See Also:
    `setInt(int)`, `setValue(int)`, `set(String)`, `getInt()`, `intValue()`, `get()`

### set

    public void set(long value)

  Sets normal value via long value

  Parameters:
    `value` - the long value
  See Also:
    `set(String)`, `longValue()`, `setValue(long)`

### set

    public void set(float value)

  Sets normal value via float value

  Parameters:
    `value` - the float value
  See Also:
    `set(String)`, `floatValue()`, `setValue(float)`

### set

    public void set(double value)

  Sets normal value via double value

  Parameters:
    `value` - the double value
  See Also:
    `set(String)`, `doubleValue()`, `setValue(double)`

### set

    public void set(java.lang.String theval)

  Sets normal value via a String.

  Specified by:
    `set` in interface `jet.util.Propertiable`
  Overrides:
    `set` in class `JetProperty`
  Throws:
    `java.lang.NumberFormatException`
  See Also:
    `toString()`, `set(double)`, `set(float)`, `set(int)`, `set(long)`, `setValue(double)`, `setValue(float)`, `setValue(int)`, `setValue(long)`

### intValue

    public int intValue()

  Effective if `JetProperty.isCurrentAutoValue()` is false;according to the following priority return : normal value > default value as integer

  Specified by:
    `intValue` in interface `jet.convert.NumberInfo`
  Returns:
    an integer.
  See Also:
    `set(int)`, `setInt(int)`, `set(String)`, `get()`, `getInt()`, `JetProperty.isCurrentAutoValue()`

### longValue

    public long longValue()

  Effective if `JetProperty.isCurrentAutoValue()` is false;according to the following priority return : normal value > default value as long

  Specified by:
    `longValue` in interface `jet.convert.NumberInfo`
  Returns:
    a long.
  See Also:
    `set(long)`, `set(String)`, `setValue(long)`, `JetProperty.isCurrentAutoValue()`

### floatValue

    public float floatValue()

  Effective if `JetProperty.isCurrentAutoValue()` is false;according to the following priority return : normal value > default value as float

  Specified by:
    `floatValue` in interface `jet.convert.NumberInfo`
  Returns:
    a float.
  See Also:
    `set(float)`, `set(String)`, `setValue(float)`, `JetProperty.isCurrentAutoValue()`

### doubleValue

    public double doubleValue()

  Effective if `JetProperty.isCurrentAutoValue()` is false;according to the following priority return : normal value > default value as double

  Specified by:
    `doubleValue` in interface `jet.convert.NumberInfo`
  Returns:
    a double.
  See Also:
    `set(double)`, `set(String)`, `setValue(double)`, `JetProperty.isCurrentAutoValue()`

### toString

    public java.lang.String toString()

  Effective if `JetProperty.isCurrentAutoValue()` is false;according to the following priority return : normal value > default value as String

  Specified by:
    `toString` in interface `jet.convert.PropInfo`
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a String represented.
  See Also:
    `set(String)`, `String.valueOf(int)`, `String.valueOf(float)`, `String.valueOf(double)`, `String.valueOf(long)`, `JetProperty.isCurrentAutoValue()`

### get

    public int get()

  Effective if `JetProperty.isCurrentAutoValue()` is false; according to the following priority return : normal value > default value as integer

  Specified by:
    `get` in interface `jet.convert.NumberInfo`
  Returns:
    an integer
  See Also:
    `set(int)`, `setInt(int)`, `setValue(int)`, `set(String)`, `intValue()`, `getInt()`, `JetProperty.isCurrentAutoValue()`

### setValue

    public void setValue(int value)

  Sets normal value via specified value;

  Parameters:
    `value` - an integer value.
  See Also:
    `setInt(int)`, `set(int)`, `set(String)`, `getInt()`, `intValue()`, `get()`

### getInt

    public int getInt()

  Effective if `JetProperty.isCurrentAutoValue()` is false.

  Specified by:
    `getInt` in interface `jet.controls.Integerable`
  Specified by:
    `getInt` in interface `jet.convert.NumberInfo`
  Returns:
    the integer value of this number.
  See Also:
    `set(int)`, `setValue(int)`, `setInt(int)`, `intValue()`, `get()`, `JetProperty.isCurrentAutoValue()`

### setInt

    public void setInt(int i)

  Sets normal value via specified value;

  Specified by:
    `setInt` in interface `jet.controls.Integerable`
  Parameters:
    `i` - an integer value
  See Also:
    `set(int)`, `setValue(int)`, `set(String)`, `intValue()`, `get()`, `getInt()`

### addToAtomicAction

    public boolean addToAtomicAction(java.lang.String newValue)

### getMatchingSqlType

    public int[] getMatchingSqlType()

  Description copied from class: `JetProperty`
  Now, this API only for designer UI : get Matching SQL Type of this property
  Usage in UI : list all the (normal-)formula whose data-type in returned array

  Overrides:
    `getMatchingSqlType` in class `JetProperty`
  See Also:
    `Db`

### getPropertyChoice

    public java.util.Vector getPropertyChoice()

  Description copied from class: `JetProperty`
  Only For Designer UI

  Overrides:
    `getPropertyChoice` in class `JetProperty`
  Returns:
    property choice

### setPropertyChoice

    public void setPropertyChoice(java.util.Vector propertyChoice)

  set property choice

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD